InsecureSkipVerify = true
defaultEntryPoints = ["http", "https"]

[entryPoints]
  [entryPoints.admin]
    address = ":8082"

  [entryPoints.http]
  address = ":80"
    [entryPoints.http.redirect]
    entryPoint = "https"

  [entryPoints.https]
  address = ":443"
  compress = true
    [entryPoints.https.tls]

[ping]
entrypoint = "admin"

[retry]

[acme]
  email = "quentin@dufour.io"
  storage = "traefik/acme/account"
  entryPoint = "https"
  onHostRule = true

  [acme.httpChallenge]
    entryPoint = "http"

[api]
  entryPoint = "admin"
  dashboard = true

[consul]
  endpoint = "172.17.0.1:8500"
  watch = true
  prefix = "traefik"

[consulCatalog]
  endpoint = "172.17.0.1:8500"
  prefix = "traefik"
  domain = "web.deuxfleurs.fr"
  exposedByDefault = false

[metrics]
  [metrics.prometheus]
    # -- below is for traefik 1.7 see https://doc.traefik.io/traefik/v1.7/configuration/metrics/
    entryPoint = "admin" 
